Bug 1179172 (plasma-workspace) - Review Request: plasma-workspace - Plasma workspace applications and applets
Summary: Review Request: plasma-workspace - Plasma workspace applications and applets
Keywords:
Status: CLOSED RAWHIDE
Alias: plasma-workspace
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: plasma5 plasma-desktop
TreeView+ depends on / blocked
 
Reported: 2015-01-06 11:05 UTC by Jan Grulich
Modified: 2015-01-20 13:43 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-20 13:43:09 UTC
rdieter: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Jan Grulich 2015-01-06 11:05:46 UTC
Spec URL: https://jgrulich.fedorapeople.org/plasma5/plasma-workspace.spec
SRPM URL: https://jgrulich.fedorapeople.org/plasma5/plasma-workspace-5.1.2-2.fc21.src.rpm
Description: Plasma 5 workspace applications and applets
Fedora Account System Username: jgrulich

Comment 1 Rex Dieter 2015-01-06 19:01:33 UTC
1. SHOULD omit "5" from pkg Summary , ie
Summary: Plasma Desktop
less worries when/if Plasma 6 appears, or maybe just not worry that far ahead :)

sources: ok
8a01835179b25e3a7ff644fd7e52ec96  plasma-workspace-5.1.2.tar.xz

2. SHOULD drop %config here
%config %{_sysconfdir}/xdg/*.knsrc
%config %{_sysconfdir}/xdg/autostart/*.desktop
stuff under /etc/xdg is generally not meant for %config really

3. SHOULD move these to main pkg (from -devel):
%{_datadir}/dbus-1/interfaces/*.xml

scriptlets: NOT ok

4.  MUST validate application .desktop files
%{_datadir}/applications/*.desktop

macros: ok



stuff to look into post-review (not review blockers):

*  SHOULD be owned by kde-settings instead, but can deal with that post-review
%config %{_sysconfdir}/pam.d/kde

* don't hard-code Requires: sddm , and then probably subpkg or own parent dirs of: %{_datadir}/sddm/themes/breeze

Comment 2 Jan Grulich 2015-01-07 10:40:14 UTC
Spec URL: https://jgrulich.fedorapeople.org/plasma5/plasma-workspace.spec
SRPM URL: https://jgrulich.fedorapeople.org/plasma5/plasma-workspace-5.1.2-3.fc21.src.rpm
Description: Plasma workspace applications and applets

- Omit "5" from pkg summary
- Drop config macro for files installed to /etc/xdg
- Move /usr/share/dbus-1/interfaces/*.xml stuff to main package
- Validate .desktop files

Comment 3 Rex Dieter 2015-01-07 15:15:08 UTC
looks good, APPROVED.

Comment 4 Jan Grulich 2015-01-08 08:58:40 UTC
New Package SCM Request
=======================
Package Name: plasma-workspace
Short Description: Plasma workspace applications and applets
Upstream URL: https://projects.kde.org/projects/kde/workspace/plasma-workspace
Owners: group::kde-sig rdieter kkofler dvratil than jgrulich ltinkl
Branches: f20 f21
InitialCC:

Comment 5 Gwyn Ciesla 2015-01-08 13:51:56 UTC
Git done (by process-git-requests).

Comment 6 Rex Dieter 2015-01-12 12:35:19 UTC
Imported


Note You need to log in before you can comment on or make changes to this bug.